2

I would like to know what are the minimum system requirements for Force.com IDE (plugin for Eclipse). Requirements for not just being able to run the IDE but also to use it comfortably and efficient. Running on 64bit Windows 7 or Windows 8 maschine.

I know it's based on Eclipse and I could just look for Eclipse minimum system requirements. But I know that in Eclipse, it always depends on what you are developing, what programming language, what plugins you use and how you use them. For example, developing simple web page (HTML, CSS, JavaScript) doesn't require as much resources as developing a sophisticated web application based on Java EE technologies.

I could't find info specific to software development using Apex and Visualforce in Eclipse.

EDIT: I'm asking about hardware requirements: CPU, RAM, HDD speed

1

if you are using java and the system have enough hdd space, thats it. just add the force ide plugin into eclipse. currently eclipse kepler is supported.

  • Thanks for the answer and sorry for not clear question. I edited the question. I was asking about hardware requirements: CPU, RAM, HDD speed – justasd Feb 1 '14 at 19:30
  • CPU - Intel Core 2 Duo or upper, also check you need 32 or 64 bit, RAM - 2 or 4GB for better performance, HDD - normal SATA will work now you can get TB sizes. – Bforce Feb 1 '14 at 19:50
  • Hi @baskaran, by saying Intel Core 2 Duo, you mean which model? I am asking this question because I am considering buying cheap small laptop which has Celeron N2810 processor and I wonder if I could use it for my work when traveling(Eclipse, Force.com IDE). Here are the specs of the CPU: ark.intel.com/products/76753 – justasd Feb 3 '14 at 10:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.